Inventory

Get organization inventory

get

This endpoint returns a list of the organization's inventory

Path parameters
idstringRequired
Query parameters
developmentstringOptional

If defined returns the development inventory

Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Responses
chevron-right
200Success
application/json
organizationIdstringRequired

The ID of the organization

Example: 123e4567-e89b-12d3-a456-426614174000
get
/organizations/{id}/inventory
200Success

Get organization inventory requests

get

This endpoint returns a paginated list of the organization's inventory requests

Path parameters
limitnumberRequired

The amount of items to return

Example: 10
pagenumberRequired

The page to return

Example: 0
idstringRequired

The organization's Id

Example: 123e4567-e89b-12d3-a456-426614174000
Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Responses
chevron-right
200Success
application/json
get
/organizations/{id}/inventory/requests
200Success

Get organization inventory request

get

This endpoint returns a specific organization's inventory request

Path parameters
idstringRequired
requestIdstringRequired
Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Responses
chevron-right
200Success
application/json
actionstring · enumRequired

Action of the credit request

Possible values:
typestring · enumRequired

Type of the credit request

Possible values:
idstringRequired

ID of the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
toAddressstringOptional

Address of the recipient of the credit request

Example: 0x1234567890abcdef
createdAtstring · date-timeRequired

Timestamp of when the credit request was created

Example: 2022-01-01T00:00:00Z
updatedAtstring · date-timeRequired

Timestamp of when the credit request was last updated

Example: 2022-01-01T00:00:00Z
tokenIdstringRequired

ID of the token associated with the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
tokenAddressstringRequired

Address of the token associated with the credit request

Example: 0x1234567890abcdef
creditIdstringRequired

ID of the credit associated with the credit request

Example: exPost-2-0x1234567890abcdef
serializationstringRequired

Serialization of the credit request

Example: serialization
vintagestringRequired

The vintage year of the credit

Example: 2020
amountnumberRequired

Amount of the credit request

Example: 1000
fromOrganizationIdstringRequired

ID of the organization sending the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
toOrganizationIdstringOptional

ID of the organization receiving the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
txIdstringOptional

ID of the transaction associated with the credit request

Example: 0x1234567890abcdef
statestring · enumRequired

State of the credit request: cancelled | failed | pending_onchain | pending_queue | pending_request | pending_reserved | processed | rejected

Possible values:
retirementIdstringOptional

The retirement ID of the reservation

Example: 1
retirementReasonstringOptional

Reason for retirement of the credit request

Example: reason
retirementCommentstringOptional

Comment for retirement of the credit request

Example: comment
beneficiaryNamestringOptional

Name of the beneficiary of the credit request

Example: John Doe
get
/organizations/{id}/inventory/requests/{requestId}
200Success

Transact with credits in inventory

post

This endpoint creates a transaction for credits in the organization's inventory

Path parameters
actionstring · enumRequired

The action to perform on the token credit, one of transfer, retire, transfer_retire, cancel

Possible values:
idstringRequired

The ID of the organization

Example: 123e4567-e89b-12d3-a456-426614174000
Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Body
creditIdstringRequired

The ID of the token credit

Example: exPost-2-0x1234567890abcdef
amountnumberRequired

The amount of the token credit

Example: 100
toOrganizationIdstringOptional

The ID of the organization receiving the token credit - if not provided, toAddress must be provided

Example: 123e4567-e89b-12d3-a456-426614174000
toAddressstringOptional

The address of the organization receiving the token credit - if not provided, toOrganizationId must be provided

Example: 0x1234567890abcdef
Responses
chevron-right
200Success
application/json
actionstring · enumRequired

Action of the credit request

Possible values:
typestring · enumRequired

Type of the credit request

Possible values:
idstringRequired

ID of the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
toAddressstringOptional

Address of the recipient of the credit request

Example: 0x1234567890abcdef
createdAtstring · date-timeRequired

Timestamp of when the credit request was created

Example: 2022-01-01T00:00:00Z
updatedAtstring · date-timeRequired

Timestamp of when the credit request was last updated

Example: 2022-01-01T00:00:00Z
tokenIdstringRequired

ID of the token associated with the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
tokenAddressstringRequired

Address of the token associated with the credit request

Example: 0x1234567890abcdef
creditIdstringRequired

ID of the credit associated with the credit request

Example: exPost-2-0x1234567890abcdef
serializationstringRequired

Serialization of the credit request

Example: serialization
vintagestringRequired

The vintage year of the credit

Example: 2020
amountnumberRequired

Amount of the credit request

Example: 1000
fromOrganizationIdstringRequired

ID of the organization sending the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
toOrganizationIdstringOptional

ID of the organization receiving the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
txIdstringOptional

ID of the transaction associated with the credit request

Example: 0x1234567890abcdef
statestring · enumRequired

State of the credit request: cancelled | failed | pending_onchain | pending_queue | pending_request | pending_reserved | processed | rejected

Possible values:
retirementIdstringOptional

The retirement ID of the reservation

Example: 1
retirementReasonstringOptional

Reason for retirement of the credit request

Example: reason
retirementCommentstringOptional

Comment for retirement of the credit request

Example: comment
beneficiaryNamestringOptional

Name of the beneficiary of the credit request

Example: John Doe
post
/organizations/{id}/inventory/action/{action}
200Success

Request movements of credits in inventory

post

This endpoint requests a specific action on credits in the organization's inventory

Path parameters
actionstring · enumRequired

The action to perform on the token credit, one of transfer, retire, transfer_retire, cancel

Possible values:
idstringRequired

The ID of the organization

Example: 123e4567-e89b-12d3-a456-426614174000
Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Body
creditIdstringRequired

The ID of the token credit

Example: exPost-2-0x1234567890abcdef
amountnumberRequired

The amount of the token credit

Example: 100
toOrganizationIdstringOptional

The ID of the organization receiving the token credit - if not provided, toAddress must be provided

Example: 123e4567-e89b-12d3-a456-426614174000
toAddressstringOptional

The address of the organization receiving the token credit - if not provided, toOrganizationId must be provided

Example: 0x1234567890abcdef
Responses
chevron-right
200Success
application/json
actionstring · enumRequired

Action of the credit request

Possible values:
typestring · enumRequired

Type of the credit request

Possible values:
idstringRequired

ID of the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
toAddressstringOptional

Address of the recipient of the credit request

Example: 0x1234567890abcdef
createdAtstring · date-timeRequired

Timestamp of when the credit request was created

Example: 2022-01-01T00:00:00Z
updatedAtstring · date-timeRequired

Timestamp of when the credit request was last updated

Example: 2022-01-01T00:00:00Z
tokenIdstringRequired

ID of the token associated with the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
tokenAddressstringRequired

Address of the token associated with the credit request

Example: 0x1234567890abcdef
creditIdstringRequired

ID of the credit associated with the credit request

Example: exPost-2-0x1234567890abcdef
serializationstringRequired

Serialization of the credit request

Example: serialization
vintagestringRequired

The vintage year of the credit

Example: 2020
amountnumberRequired

Amount of the credit request

Example: 1000
fromOrganizationIdstringRequired

ID of the organization sending the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
toOrganizationIdstringOptional

ID of the organization receiving the credit request

Example: 123e4567-e89b-12d3-a456-426614174000
txIdstringOptional

ID of the transaction associated with the credit request

Example: 0x1234567890abcdef
statestring · enumRequired

State of the credit request: cancelled | failed | pending_onchain | pending_queue | pending_request | pending_reserved | processed | rejected

Possible values:
retirementIdstringOptional

The retirement ID of the reservation

Example: 1
retirementReasonstringOptional

Reason for retirement of the credit request

Example: reason
retirementCommentstringOptional

Comment for retirement of the credit request

Example: comment
beneficiaryNamestringOptional

Name of the beneficiary of the credit request

Example: John Doe
post
/organizations/{id}/inventory/requests/{action}
200Success

Review a credit action request

post

This endpoint reviews a specific organization's credit action request

Path parameters
idstringRequired
requestIdstringRequired
Header parameters
x-icr-api-versionstringOptional

API version

Default: 2023-06-16
Body
statestring · enumRequiredPossible values:
Responses
chevron-right
200Success
application/json
idstringRequired
post
/organizations/{id}/inventory/request/{requestId}/review
200Success

Last updated